package edu.travel.remote.feign.mode.dto.tenant;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * AssignRoles 类。
 * <p>
 * 描述：为管理用户分配角色
 *
 * @author huangwenwen
 * @date 2025/2/10
 */


@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AssignRolesOrMenusDto {
    /**
     * 角色ids/菜单ids
     */
    private List<Long> ids;
    /**
     * 用户id/角色id
     */
    private Long id;
}
