package edu.travel.entity.dict;

import java.util.HashMap;
import java.util.Map;

/**
 * MenuTypeDict 类。
 * <p>
 * 描述：后台管理菜单类型 (0: 目录 1: 菜单 2: 按钮 )
 *
 * @author huangwenwen
 * @date 2025/2/14
 */


public class MenuTypeDict {

    private final Map<Integer,String> menuTypeDict = new HashMap<>();

    public MenuTypeDict(){
        menuTypeDict.put(0,"目录");
        menuTypeDict.put(1,"菜单");
        menuTypeDict.put(2,"按钮");
    }

    public String getValue(Integer key){
        return menuTypeDict.containsKey(key) ? menuTypeDict.get(key):null;
    }

}
