package edu.travel.country.dto.vo;

import edu.travel.entity.BaseEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 国家表
 */
@Data

public class BaseCountryVo extends BaseEntity {
    /**
     * ID
     */
    private Long id;

    /**
     * 所属洲
     */
    private Long parentId;
    /**
     * 图片
     */
    private String imageUrl;

    /**
     * 国家/洲中文名称
     */
    private String countryNameZh;

    /**
     * 国家/洲英文名称
     */
    private String countryNameEn;

    /**
     * 当地国家/洲名称
     */
    private String countryNameLocal;

    /**
     * 国家区号
     */
    private Integer areaCode;
    /**
     * 子类
     */
    private List<BaseCountryVo> children = new ArrayList<>();
}